Subject: bug#23424: 25.0.93; error in process sentinel with Melpa added to package-archives

From: Kaushal Modi <[email-masked]>
Date: Mon, 02 May 2016 16:41:32 +0000

Sorry, I figured out my mistake (with respect to be unable to set
breakpoint). It's still not working smoothly.. the breakpoint is activated
with each character I type.. so not sure what's up.

As you already have the debug info, I will put learning gdb on my short
term to-learn list.

Thanks.

=====
Are you sure you want to change it? (y or n) [answered Y; input not from
terminal]
DISPLAY = :1.0
TERM = xterm-256color
Breakpoint 1 at 0x555e7d: file emacs.c, line 354.
Temporary breakpoint 2 at 0x578c80: file sysdep.c, line 915.
(gdb) break Fsignal
Breakpoint 3 at 0x5f338c: file eval.c, line 1471.
(gdb) bt
No stack.
(gdb) r -Q
Starting program: /home/kmodi/downloads/git/emacs/src/emacs -Q
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
[New Thread 0x7fffed75f700 (LWP 27555)]

(emacs:27551): GLib-GIO-CRITICAL **: g_settings_schema_source_lookup:
assertion 'source != NULL' failed

Breakpoint 3, Fsignal (error_symbol=41328, data=16757379) at eval.c:1471
1471        = (NILP (error_symbol) ? Fcar (data) : error_symbol);
(gdb) c
Continuing.

Breakpoint 3, Fsignal (error_symbol=41328, data=14850531) at eval.c:1471
1471        = (NILP (error_symbol) ? Fcar (data) : error_symbol);
(gdb) c
Continuing.

Breakpoint 3, Fsignal (error_symbol=41328, data=25212659) at eval.c:1471
1471        = (NILP (error_symbol) ? Fcar (data) : error_symbol);
(gdb) c
Continuing.

Breakpoint 3, Fsignal (error_symbol=41328, data=25415251) at eval.c:1471
1471        = (NILP (error_symbol) ? Fcar (data) : error_symbol);
-- 

-- 
Kaushal Modi